using System;
using System.Windows;
using System.Windows.Media;

namespace InABox.Wpf;

public class MapMarker : DependencyObject
{
    public Guid ID { get; set; }
    
    private static readonly DependencyProperty LatitudeProperty =
        DependencyProperty.Register(nameof(Latitude), typeof(string), typeof(MapMarker));
    public string? Latitude
    {
        get => GetValue(LatitudeProperty) as string;
        set => SetValue(LatitudeProperty, value);
    }
    
    private static readonly DependencyProperty LongitudeProperty =
        DependencyProperty.Register(nameof(Longitude), typeof(string), typeof(MapMarker));
    
    public string? Longitude
    {
        get => GetValue(LongitudeProperty) as string;
        set => SetValue(LongitudeProperty, value);
    }

    private static readonly DependencyProperty LabelProperty =
        DependencyProperty.Register(nameof(Label), typeof(string), typeof(MapMarker));
    
    public string? Label
    {
        get => GetValue(LabelProperty) as string;
        set => SetValue(LabelProperty, value);
    }
    
    public string Description { get; set; }
    public DateTime Updated { get; set; }
    public string UpdatedBy { get; set; }
    public string DeviceID { get; set; }
    public Brush Background { get; set; }
}